Module javafx.base
Package javafx.beans

## Interface WeakListener

- All Known Implementing Classes:
    `WeakChangeListener`, `WeakInvalidationListener`, `WeakListChangeListener`, `WeakMapChangeListener`, `WeakSetChangeListener`

      public interface WeakListener

  `WeakListener` is the super interface of all weak listener implementations in the JavaFX API. Usually it should not be used directly, but instead one of the sub-interfaces will be used.
  Since:
    JavaFX 2.1
  See Also:
    `WeakInvalidationListener`, `WeakChangeListener`

- - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `wasGarbageCollected()` | Returns `true` if the linked listener was garbage-collected.

- - ### Method Detail

    - #### wasGarbageCollected

          boolean wasGarbageCollected()

      Returns `true` if the linked listener was garbage-collected. In this case, the listener can be removed from the observable.
      Returns:
        `true` if the linked listener was garbage-collected.